EndpointsCoworlds

Request a bundled Coworld player file upload

POST/v2/coworlds/player-files/upload

Returns a temporary staging URL for a player file promoted during Coworld upload.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Request Body

application/json

content_hash*Content Hash

Lowercase SHA-256 hash of the player file.

Match^[0-9a-f]{64}$
size_bytes*Size Bytes

Player file size in bytes.

Range0 <= value <= 104857600
curl -X POST "https://softmax.com/api/observatory/v2/coworlds/player-files/upload" \  -H "Content-Type: application/json" \  -d '{    "content_hash": "string",    "size_bytes": 0  }'
{  "upload_url": "string"}